
#![allow(unused)]

use std::collections::HashMap;

use serde::{Deserialize, Serialize};

mod daemon;

#[derive(Serialize, Deserialize, Debug)]
pub struct Config {
    pub title: String,
    pub daemon: daemon::Daemon,
    pub source: HashMap<String, crate::source::Source>
}
